中危 CVE-2023-0118 Foreman: Arbitrary code execution through templates

CVE编号

CVE-2023-0118

利用情况

暂无

补丁情况

官方补丁

披露时间

2023-03-12
漏洞描述
An arbitrary code execution flaw was found in Foreman. This flaw allows an admin user to bypass safe mode in templates and execute arbitrary code on the underlying operating system.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 redhat satellite * From
(including)
6.13
Up to
(excluding)
6.13.3
运行在以下环境
应用 theforeman foreman * -
运行在以下环境
系统 rocky_linux_8 libdb-cxx * Up to
(excluding)
5.3.28-42.el8_4
阿里云评分
5.8
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-78 OS命令中使用的特殊元素转义处理不恰当(OS命令注入)
阿里云安全产品覆盖情况